% ================================================
% Adaboost Experiment
% ================================================

clear all
tic % start timer
patch_size = [120 150];
negNamesTrain = dir('negTrain\*.jpg'); % negative training images
negNamesTest = dir('negTest\*.jpg'); % negative testing images
negTrainFolder = 'negTrain';

posNamesTrain = dir('posTrain\*.jpg'); % positive training images
posNamesTest = dir('posTest\*.jpg'); % positive testing images
posTrainFolder = 'posTrain';

subsample = 2; % sub sample rate that weak classifiers go over
name1 = 'headShoulder';
frameworkName = 'adaboost';
numWeakClassifiers = 80;

% prepare training data: train weak classifiers from all gabor basis

[featureBank targetPoints negPoints lattice targetResonse negResponse threshold] = prepareDataForAdaboost(subsample,posNamesTrain,negNamesTrain,posTrainFolder,negTrainFolder);

folderName = [frameworkName '_' name1]; % this is the output folder
% Adaboost training: select weak classifiers
[lambdas selectedFeatures] = modelPursuit(targetPoints, negPoints,featureBank, numWeakClassifiers,folderName);
displaySelectedFilters(lambdas,selectedFeatures,lattice,patch_size,folderName);
disp(['training time: ' num2str(toc) ' seconds']);

posTestFolder = 'posTest';
negTestFolder = 'negTest';

disp('Testing...');
tic % start timer
% prepare test data
%   calculate responses of selected features on testing images
[featureBank testPosPoints testNegPoints lattice] = prepareDataForAdaboostTest(subsample,posNamesTest,negNamesTest,posTestFolder,negTestFolder,threshold,selectedFeatures);
% test strong classifier
testModel2(lambdas,testPosPoints,testNegPoints,folderName);
disp(['testing time: ' num2str(toc) 'seconds']);
