
% Plot in one figure ROC curves of 1. adaboost, 2. active basis (with 
%   log-likelihood scoring) and 3. active basis (with active correlation scoring).

% Please save the figure as '.eps' format. The AUC digits that do not align
%   nicely in the matlab figure will be aligned in .eps file.

load('abCORR_headShoulder\tss.mat','tp','fp','testAUC');
tpCORR = tp;
fpCORR = fp;
aucCORR = testAUC;
clear tp; clear fp; clear testAUC;
load('activebasis_headShoulder\tss.mat','tp','fp','testAUC');
tpLL = tp;
fpLL = fp;
aucLL = testAUC;
clear tp; clear fp; clear testAUC;
load('adaboost_headShoulder\testError.mat','tp','fp','auc');
tpAdaboost = tp;
fpAdaboost = fp;
aucAdaboost = auc(end);
clear tp; clear fp; clear auc;

% display ROC plots
h=figure;
hold on
% resize figure to appropriate size
rect = get(h,'Position');
newRect = rect;
newRect(3:4) = round(rect(3:4) * 0.52);
set(h,'Position',newRect);
getROCfig(fpCORR,tpCORR,'-','');
getROCfig(fpLL,tpLL,'k--','');
getROCfig(fpAdaboost,tpAdaboost,'r:','');
% legend(['active basis CORR,              AUC=' num2str(aucCORR)],['active basis Log-likelihood,   AUC=' num2str(aucLL)], ['adaboost,                            AUC=' num2str(aucAdaboost)],'Location','SouthEast');
legend(sprintf('correlation,       AUC=%.3f',aucCORR),sprintf('log-likelihood,  AUC=%.3f',aucLL), sprintf('adaboost,         AUC=%.3f',aucAdaboost),'Location','South');
hold off

