% display selected observed images and sketches
imFolder = 'headShoulder_trainpos85_127';
sketchFolder = 'activeBasis_headShoulder';
Iname = {'0000000078.jpg','0000000080.jpg','0000000054.jpg','0000000124.jpg'};
Iname = [Iname,'0000000066.jpg','0000000104.jpg','0000000028.jpg','0000000082.jpg'];
Iname = [Iname,'0000000015.jpg','0000000073.jpg','0000000048.jpg','0000000111.jpg'];
% Iname = [Iname,'0000000071.jpg','0000000016.jpg'];
patch_size = [85 127];

numImages = length(Iname);
h = figure;
nCol = 8;
nRow = ceil(numImages*2/nCol); % source images + sketches
widthMargin = 5; heightMargin = 3; widthPadding = 3; heightPadding = 2;
maxWidth = widthMargin*2 + (patch_size(2)+widthPadding*2)*nCol;% 5 is margin
maxHeight = heightMargin*2 + (patch_size(1)+heightPadding*2)*nRow;
% resize the figure panel first
rect = get(h,'Position');
newRect = rect;
newRect(3:4) = [maxWidth maxHeight]*.6;
set(h,'Position',newRect);

for i = 1:numImages
    % display source image
    ind = i*2-1;
    row = ceil(ind/nCol); col = ind - (row-1) * nCol;
    left = widthMargin+widthPadding+(col-1)*(patch_size(2)+widthPadding*2);
    bottom = heightMargin + row * (patch_size(1)+heightPadding*2);
    subplot('Position',[left/maxWidth 1-bottom/maxHeight patch_size(2)/maxWidth patch_size(1)/maxHeight]);
    imshow(imread([imFolder '\' Iname{i}]));
    % display active basis sketch
    ind = i*2;
    row = ceil(ind/nCol); col = ind - (row-1) * nCol;
    left = widthMargin+widthPadding+(col-1)*(patch_size(2)+widthPadding*2);
    bottom = heightMargin + row * (patch_size(1)+heightPadding*2);
    subplot('Position',[left/maxWidth 1-bottom/maxHeight patch_size(2)/maxWidth patch_size(1)/maxHeight]);
    imshow(imread([sketchFolder '\sym_' Iname{i}]));
end


