% display some training negatives for adaboost

Iname = dir('rand85_127\*.jpg');
numImages = size(Iname,1);
patch_size = [85 127];
nCol = 6;
nRow = 4;
widthMargin = 5; heightMargin = 3; widthPadding = 5; heightPadding = 5;
maxWidth = widthMargin*2 + (patch_size(2)+widthPadding*2)*nCol;% 5 is margin
maxHeight = heightMargin*2 + (patch_size(1)+heightPadding*2)*nRow;
% resize the figure panel first
h = figure;
rect = get(h,'Position');
newRect = rect;
newRect(3:4) = [maxWidth maxHeight]*.5;
set(h,'Position',newRect);
selectedImageNumbers = [];
for i = 1:24
    imNo = ceil(rand*numImages);
    while sum(selectedImageNumbers==imNo)>0
        imNo = ceil(rand*numImages);
    end
    selectedImageNumbers = [selectedImageNumbers imNo];
    im = imread(['rand85_127\' Iname(imNo).name]);
    ind = i;
    row = ceil(ind/nCol); col = ind - (row-1) * nCol;
    left = widthMargin+widthPadding+(col-1)*(patch_size(2)+widthPadding*2);
    bottom = heightMargin + row * (patch_size(1)+heightPadding*2);
    subplot('Position',[left/maxWidth 1-bottom/maxHeight patch_size(2)/maxWidth patch_size(1)/maxHeight]);
    imshow(im);
end
